URL: /baas/api/reference/financial-operations/create-beneficiary
---
title: 'Add beneficiary (account)'
description: 'Create a beneficiary to be referenced when preparing and executing transfers.'
---
## Endpoint
`POST /api/v2.1/fintrans/{accountId}/beneficiaries`
This endpoint requires `X-Forwarded-From` and a device header. The backend accepts any of:
`deviceId`, `X-Device-Id`, `device-id`.
## Sample cURL
```bash
curl --request POST \
--url 'https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/beneficiaries' \
--header 'Authorization: Bearer ' \
--header 'X-Tenant-Id: ' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'User-Agent: ' \
--header 'X-Forwarded-From: ' \
--header 'platform: Web' \
--header 'deviceId: ' \
--data '{
"purposeCode": "SUPP",
"postalCode": "LT-01103",
"shortName": "",
"bicSwiftCode": "SONCLT21",
"lastName": "Customer",
"city": "Vilnius",
"email": "customer.20260331114946-387074@testcorp.com",
"bankName": "UAB Sonect Europe",
"currency": "EUR",
"country": "LT",
"networkName": "SEPA",
"firstName": "John",
"bankAddress": "Gedimino pr. 20, Vilnius, Lithuania",
"customerId": "2dac1793-ab48-420c-b0b5-01292302e188",
"addressLine1": "1 Test Street",
"partyType": "INDIVIDUAL_CUSTOMER",
"iban": "LT213320011000055860",
"companyName": ""
}'
```
## Response Example
```json
{
"code": 200,
"data": {
"id": "3114774a-aa94-4648-9e57-5ff226ef02dd",
"name": "",
"iban": "LT213320011000055860",
"type": "INDIVIDUAL_CUSTOMER",
"status": "ACTIVE",
"currency": "EUR",
"country": "",
"email": "",
"phoneNumber": "",
"shortName": "",
"networkName": "SEPA",
"bankName": "",
"purposeCode": "",
"assetId": "eba40e17-e539-430e-a6cc-2b0f01e4c86e"
},
"message": "Success"
}
```
Use the returned `assetId` as the `beneficiaryId` when preparing a financial operation.
## Missing Headers Error Example
```json
{
"code": 500,
"data": {
"deviceId_accepted": [
"deviceId",
"X-Device-Id",
"device-id"
],
"missingHeaders": [
"X-Forwarded-From",
"deviceId"
]
},
"message": "Missing required header(s)"
}
```